Upstream information

CVE-2020-35459 at MITRE

Description

An issue was discovered in ClusterLabs crmsh through 4.2.1. Local attackers able to call "crm history" (when "crm" is run) were able to execute commands via shell code injection to the crm history commandline, potentially allowing escalation of privileges.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 8.4
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1179999 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Availability 12 SP3
  • crmsh >= 3.0.4+git.1614156978.4c1dc46d-13.62.1
  • crmsh-scripts >= 3.0.4+git.1614156978.4c1dc46d-13.62.1
  • hawk2 >= 2.6.3+git.1614685906.812c31e9-2.42.1
Patchnames:
SUSE-SLE-HA-12-SP3-2021-771
SUSE-SLE-HA-12-SP3-2021-84
SUSE-SLE-HA-12-SP3-2021-943
SUSE Linux Enterprise High Availability 12 SP4
  • crmsh >= 4.1.1+git.1630047134.803a70f2-2.65.1
  • crmsh-scripts >= 4.1.1+git.1630047134.803a70f2-2.65.1
  • hawk2 >= 2.6.3+git.1614685906.812c31e9-3.30.1
Patchnames:
SUSE-SLE-HA-12-SP4-2021-3121
SUSE-SLE-HA-12-SP4-2021-722
SUSE-SLE-HA-12-SP4-2021-83
SUSE-SLE-HA-12-SP4-2021-942
SUSE Linux Enterprise High Availability 12 SP5
  • crmsh >= 4.1.1+git.1630047134.803a70f2-2.65.1
  • crmsh-scripts >= 4.1.1+git.1630047134.803a70f2-2.65.1
  • hawk2 >= 2.6.3+git.1614685906.812c31e9-3.30.1
Patchnames:
SUSE-SLE-HA-12-SP5-2021-3121
SUSE-SLE-HA-12-SP5-2021-722
SUSE-SLE-HA-12-SP5-2021-83
SUSE-SLE-HA-12-SP5-2021-942
SUSE Linux Enterprise High Availability 15 SP1
  • crmsh >= 4.3.1+20210624.67223df2-3.69.1
  • crmsh-scripts >= 4.3.1+20210624.67223df2-3.69.1
  • hawk2 >= 2.6.3+git.1614684118.af555ad9-3.27.1
Patchnames:
SUSE-SLE-Product-HA-15-SP1-2021-2238
SUSE-SLE-Product-HA-15-SP1-2021-782
SUSE-SLE-Product-HA-15-SP1-2021-85
SUSE-SLE-Product-HA-15-SP1-2021-941
SUSE Linux Enterprise High Availability 15 SP2
  • crmsh >= 4.3.1+20210702.4e0ee8fb-5.59.1
  • crmsh-scripts >= 4.3.1+20210702.4e0ee8fb-5.59.1
  • hawk2 >= 2.6.3+git.1614684118.af555ad9-3.27.1
Patchnames:
SUSE-SLE-Product-HA-15-SP2-2021-2435
SUSE-SLE-Product-HA-15-SP2-2021-781
SUSE-SLE-Product-HA-15-SP2-2021-86
SUSE-SLE-Product-HA-15-SP2-2021-941
SUSE Linux Enterprise High Availability 15 SP3
  • crmsh >= 4.3.1+20210702.4e0ee8fb-5.59.1
  • crmsh-scripts >= 4.3.1+20210702.4e0ee8fb-5.59.1
Patchnames:
SUSE-SLE-Product-HA-15-SP3-2021-2435
SUSE Linux Enterprise High Availability 15
  • crmsh >= 4.3.1+20210624.67223df2-3.74.1
  • crmsh-scripts >= 4.3.1+20210624.67223df2-3.74.1
  • hawk2 >= 2.6.3+git.1614684118.af555ad9-3.27.1
Patchnames:
SUSE-SLE-Product-HA-15-2021-2239
SUSE-SLE-Product-HA-15-2021-806
SUSE-SLE-Product-HA-15-2021-87
SUSE-SLE-Product-HA-15-2021-941
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • crmsh-test >= 4.2.0+git.1607075079.a25648d8-3.51.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2021-85
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • crmsh-test >= 4.3.1+20210702.4e0ee8fb-5.59.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-2435
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-781
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-86
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • crmsh-test >= 4.3.1+20210702.4e0ee8fb-5.59.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2435
openSUSE Leap 15.1
  • crmsh >= 4.2.0+git.1607075079.a25648d8-lp151.2.45.1
  • crmsh-scripts >= 4.2.0+git.1607075079.a25648d8-lp151.2.45.1
  • crmsh-test >= 4.2.0+git.1607075079.a25648d8-lp151.2.45.1
Patchnames:
openSUSE-2021-73
openSUSE Leap 15.2
  • crmsh >= 4.3.1+20210702.4e0ee8fb-lp152.4.59.1
  • crmsh-scripts >= 4.3.1+20210702.4e0ee8fb-lp152.4.59.1
  • crmsh-test >= 4.3.1+20210702.4e0ee8fb-lp152.4.59.1
  • hawk2 >= 2.6.3+git.1614684118.af555ad9-lp152.2.18.1
Patchnames:
openSUSE-2021-1087
openSUSE-2021-410
openSUSE-2021-473
openSUSE-2021-55
openSUSE Leap 15.3
  • crmsh >= 4.3.1+20210702.4e0ee8fb-5.59.1
  • crmsh-scripts >= 4.3.1+20210702.4e0ee8fb-5.59.1
  • crmsh-test >= 4.3.1+20210702.4e0ee8fb-5.59.1
Patchnames:
openSUSE-SLE-15.3-2021-2435
openSUSE Tumbleweed
  • crmsh >= 4.3.1+20210913.d7356663-1.2
  • crmsh-scripts >= 4.3.1+20210913.d7356663-1.2
  • crmsh-test >= 4.3.1+20210913.d7356663-1.2
Patchnames:
openSUSE Tumbleweed GA crmsh-4.3.1+20210913.d7356663-1.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications crmsh Affected
SUSE Linux Enterprise High Availability Extension 11 SP4 crmsh Affected
SUSE Linux Enterprise High Availability Extension 12 SP2 crmsh Unsupported
SUSE Linux Enterprise High Availability Extension 12 SP3 crmsh Released
SUSE Linux Enterprise High Availability Extension 12 SP3 hawk2 Released
SUSE Linux Enterprise High Availability Extension 12 SP4 crmsh Released
SUSE Linux Enterprise High Availability Extension 12 SP4 hawk2 Released
SUSE Linux Enterprise High Availability Extension 12 SP5 crmsh Released
SUSE Linux Enterprise High Availability Extension 12 SP5 hawk2 Released
SUSE Linux Enterprise High Availability Extension 15 crmsh Released
SUSE Linux Enterprise High Availability Extension 15 hawk2 Released
SUSE Linux Enterprise High Availability Extension 15 SP1 crmsh Released
SUSE Linux Enterprise High Availability Extension 15 SP1 hawk2 Released
SUSE Linux Enterprise High Availability Extension 15 SP2 crmsh Released
SUSE Linux Enterprise High Availability Extension 15 SP2 hawk2 Released
SUSE Linux Enterprise High Availability Extension 15 SP3 crmsh Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 crmsh Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 crmsh Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 hawk2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 crmsh Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 hawk2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 crmsh Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 hawk2 Released